
%global meadversion 1.0.6
%global namedversion 1.0.6.redhat-00003
%global meadalpha .redhat_00003
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00003

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package tomcat-jakartaee-migration}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.6.redhat-00003

Name:           %{?scl_prefix}tomcat-jakartaee-migration
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Tomcat Migration Tool for Jakarta EE
Group:          Development/Java

%if %with mead
Source100: jakartaee-migration-1.0.6.redhat-00003-project-sources.tar.gz
Source102: jakartaee-migration-1.0.6.redhat-00003-sources.jar
Source103: jakartaee-migration-1.0.6.redhat-00003-javadoc.jar
Source104: jakartaee-migration-1.0.6.redhat-00003-src.zip
Source105: jakartaee-migration-1.0.6.redhat-00003-bin.zip
Source106: jakartaee-migration-1.0.6.redhat-00003.jar
Source107: jakartaee-migration-1.0.6.redhat-00003-shaded.jar
Source108: jakartaee-migration-1.0.6.redhat-00003.pom
Source109: jakartaee-migration-1.0.6.redhat-00003-bin.tar.gz
Source110: jakartaee-migration-1.0.6.redhat-00003-src.tar.gz
%endif

License:        ASL 2.0
URL:            http://tomcat.apache.org/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
The purpose of the tool is to take a web application written for Java EE 8 that runs on Apache Tomcat 9 and convert it automatically so it runs on Apache Tomcat 10 which implements Jakarta EE 9.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakartaee-migration
 
%description javadoc
API documentation for jakartaee-migration.
%endif

%prep
%setup -q -n jakartaee-migration-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakartaee-migration-%{namedversion}.jar %{buildroot}%{_javadir}/jakartaee-migration-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakartaee-migration-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakartaee-migration-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakartaee-migration-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakartaee-migration-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jakartaee-migration-%{namedversion}-shaded.jar %{buildroot}%{_javadir}/jakartaee-migration-%{namedversion}-shaded.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakartaee-migration-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakartaee-migration-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakartaee-migration-%{namedversion} -x META-INF/\*
%{__ln_s} jakartaee-migration-%{namedversion} %{buildroot}%{_javadocdir}/jakartaee-migration
%endif

# docs
%{__mkdir_p} %{buildroot}%{_docdir}/tomcat-jakartaee-migration-%{version}/
%{__cp} -p LICENSE.txt NOTICE.txt CHANGES.md README.md %{buildroot}%{_docdir}/tomcat-jakartaee-migration-%{version}/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_docdir}/tomcat-jakartaee-migration-%{version}/LICENSE.txt
%{_docdir}/tomcat-jakartaee-migration-%{version}/NOTICE.txt
%{_docdir}/tomcat-jakartaee-migration-%{version}/CHANGES.md
%{_docdir}/tomcat-jakartaee-migration-%{version}/README.md
%{_javadir}/jakartaee-migration-%{namedversion}.jar
%{_javadir}/jakartaee-migration.jar
%if %with javadoc
%{_javadir}/jakartaee-migration-%{namedversion}-javadoc.jar
%{_javadir}/jakartaee-migration-javadoc.jar
%endif
%{_javadir}/jakartaee-migration-%{namedversion}-sources.jar
%{_javadir}/jakartaee-migration-sources.jar
%{_javadir}/jakartaee-migration-%{namedversion}-shaded.jar
%{_javadir}/jakartaee-migration-shaded.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakartaee-migration-%{namedversion}
%{_javadocdir}/jakartaee-migration
%endif

%changelog
* Wed Apr 12 2023 Hui Wang <huwang@redhat.com> - 1.0.6-1
- First build
